Loading...
Searching...
No Matches
qtgui_types.h File Reference
`#include <gnuradio/high_res_timer.h>`
`#include <qwt_color_map.h>`
`#include <qwt_scale_draw.h>`
`#include <qwt_text.h>`
Include dependency graph for qtgui_types.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | FreqOffsetAndPrecisionClass
class | TimeScaleData
class | FreqDisplayScaleDraw
class | ColorMap_MultiColor
class | ColorMap_WhiteHot
class | ColorMap_BlackHot
class | ColorMap_Incandescent
class | ColorMap_Sunset
class | ColorMap_Cool
class | ColorMap_UserDefined

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::qtgui

## Enumerations

enum | gr::qtgui::data_type_t { gr::qtgui::INT = 0 , gr::qtgui::FLOAT , gr::qtgui::DOUBLE , gr::qtgui::COMPLEX , gr::qtgui::STRING , gr::qtgui::INT_VEC , gr::qtgui::FLOAT_VEC , gr::qtgui::DOUBLE_VEC , gr::qtgui::COMPLEX_VEC }
enum | gr::qtgui::graph_t { gr::qtgui::NUM_GRAPH_NONE = 0 , gr::qtgui::NUM_GRAPH_HORIZ , gr::qtgui::NUM_GRAPH_VERT }
enum | gr::qtgui::intensity_t { gr::qtgui::INTENSITY_COLOR_MAP_TYPE_MULTI_COLOR = 0 , gr::qtgui::INTENSITY_COLOR_MAP_TYPE_WHITE_HOT = 1 , gr::qtgui::INTENSITY_COLOR_MAP_TYPE_BLACK_HOT = 2 , gr::qtgui::INTENSITY_COLOR_MAP_TYPE_INCANDESCENT = 3 , gr::qtgui::INTENSITY_COLOR_MAP_TYPE_USER_DEFINED = 4 , gr::qtgui::INTENSITY_COLOR_MAP_TYPE_SUNSET = 5 , gr::qtgui::INTENSITY_COLOR_MAP_TYPE_COOL = 6 }